<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Edit Profile</title>
</head>
<body>
    <h1>Edit Profile</h1>
    <form method="post" action="{{ url_for('edit') }}">
        <label for="username">Username:</label>
        <input type="text" id="username" name="username" value="{{ profile.username }}" required><br>

        <label for="email">Email:</label>
        <input type="email" id="email" name="email" value="{{ profile.email }}" required><br>

        <label for="bio">Bio:</label>
        <textarea id="bio" name="bio" rows="4" required>{{ profile.bio }}</textarea><br>

        <input type="submit" value="Save">
    </form>
    <p><a href="{{ url_for('index') }}">Back to Profile</a></p>
</body>
</html>
